This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 237628 - I2O raid adaptec 2010S
I2O raid adaptec 2010S
Status: CLOSED NEXTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: anaconda (Show other bugs)
5.0
All Linux
medium Severity high
: ---
: ---
Assigned To: Anaconda Maintenance Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-24 04:44 EDT by cervajs
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-23 16:13:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description cervajs 2007-04-24 04:44:40 EDT
Description of problem:

installation of rhel5 does not work because disks are not detected
- scsi raid card Adaptec 2010S (supermicro server)
 06:01.0 RAID bus controller: Adaptec (formerly DPT) SmartRAID V Controller (rev 01)
- works in RHEL3 (i2o driver)

Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1.start installation
2.create disk layout
3.disks are not detected
  
Actual results:
installation fail - disks are not detected

Expected results:
installation succed - disks are detected

Additional info:
dmesg from rhel3
Loading Adaptec I2O RAID: Version 2.4 Build 5
Detecting Adaptec I2O RAID controllers...
Adaptec I2O RAID controller 0 irq=72
     BAR0 f883e000 - size= 100000
     BAR1 f893f000 - size= 1000000
dpti: If you have a lot of devices this could take a few minutes.
dpti0: Reading the hardware resource table.
TID 008  Vendor: ADAPTEC      Device: AIC-7902     Rev: 00000001    
TID 009  Vendor: ADAPTEC      Device: AIC-7902     Rev: 00000001    
TID 519  Vendor: SUPER   G    Device: GEM318       Rev: 0   0       
TID 526  Vendor: ADAPTEC R    Device: RAID-1       Rev: 3B0AD       
TID 527  Vendor: ADAPTEC R    Device: RAID-5       Rev: 3B0AD       
scsi0 : Vendor: Adaptec  Model: 2010S            FW:3B0A
  Vendor: ADAPTEC   Model: RAID-1            Rev: 3B0A
  Type:   Direct-Access                      ANSI SCSI revision: 02
  Vendor: ADAPTEC   Model: RAID-5            Rev: 3B0A
  Type:   Direct-Access                      ANSI SCSI revision: 02
  Vendor: SUPER     Model: GEM318            Rev: 0   
  Type:   Processor                          ANSI SCSI revision: 02
Attached scsi disk sda at scsi0, channel 0, id 0, lun 0
Attached scsi disk sdb at scsi0, channel 0, id 2, lun 0

installation of RHEL4 does not detect disks BUT offer to load i2o modules
then disks are detected

installation of RHEL5 load i2o_core but nothing else
modprobe i2o_block etc. does not work (alt-f2 in install process)
Comment 1 cervajs 2007-04-24 10:51:03 EDT
workaround

1. boot with "linux noprobe text"
2. add driver "i2o block"
3. after that disks are detected
(complete installation not tested now)
Comment 2 Red Hat Bugzilla 2007-06-11 23:48:46 EDT
requested by Jams Antill
Comment 3 Chris Lumens 2007-08-23 16:13:34 EDT
We believe this issue is fixed in 5.1.  Please test and verify.  If not, please
reopen the bug with your support representative who will raise it through the
appropriate channels.  Thanks.
Comment 4 Mike Carr 2007-08-29 16:33:51 EDT
Confirmed that workaround suggested does give read/write access from the
installer console. Have not proceeded with destructive install as of yet so
isn't fully tested. Expect to complete this this weekend, so this ticket can be
closed September 5 in absence of negative feedback to the contrary.
Comment 5 Mike Carr 2007-09-01 19:50:34 EDT
I've just completed destructive install of server and can confirm that the
workaround suggested in comment #1 works flawlessly. 

There was a minor issue with the installer itself in that it doesn't complete
final install tasks after reboot until system is booted into runlevel 5, and
performing a text-mode install defaults the runlevel to 3. Might want to point
this out as an addendum to process above as a newbie sysadmin wouldn't
necessarily recognize that the installer wasn't finished its tasks.

Thanks for your assistance with this process - much obliged

Note You need to log in before you can comment on or make changes to this bug.